Skip to content
IntelliJ plugin for https://github.com/Cosium/vet
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
gradle/wrapper
src/main
.gitignore
LICENSE
README.md
build.gradle
gradlew
gradlew.bat
settings.gradle

README.md

vet-intellij-plugin

IntelliJ plugin for https://github.com/Cosium/vet

Build

IntelliJ is not fully usable on JVM 9+. Therefore this plugin must be built using JDK 8. Vet core is compatible Java 8, but built using Java 9 in order to be JLinked.

Consequently, as long as this situation lasts, to save the author mental health, Vet core source must be pulled into the current project using symbolic link.

git clone https://github.com/Cosium/vet
git clone https://github.com/Cosium/vet-intellij-plugin
cd vet-intellij-plugin/src/main/java/com/cosium
ln -sfn ../../../../../../vet/src/main/java/com/cosium/vet/ .
You can’t perform that action at this time.